Xorg 1.8 in Extra e driver nvidia

Avvio e configurazione del server X, KDE, GNOME e tutti gli altri DE/WM
TheKaspa
Novello Arciere
Messaggi: 146
Iscritto il: 21 dicembre 2009, 10:56
Località: Milano
Contatta:

Messaggio da TheKaspa » 21 giugno 2010, 11:41

Non ho capito una cosa: chi ha nVidia, cosa gli conviene fare? Lasciare tutto com'è e quindi blacklistare l'aggiornamento del pacchetto xorg oppure passare a nouveau? Nel caso, cosa cambia e in cosa è meglio/peggio rispetto a nVidia (licenza a parte)?
Uso arch 64
Gnome tutta la vita!
Linux User : #506785
Immagine
Sostieni anche tu l'AIMPS (codice 5x1000: 93045600231)

baghera
Moderatore
Messaggi: 2319
Iscritto il: 30 agosto 2007, 12:40
Località: Pescara

Messaggio da baghera » 21 giugno 2010, 11:47

Sei usi i driver nVidia vecchi (serie -173xx e -96xx) allora è consigliato usare nouveau se vuoi fare l'upgrade al nuovo xorg-server, mentre se usi i driver più nuovi puoi semplicemente aggiornare, questi ultimi già supportano il nuovo xorg.

PS: ho cambiato il titolo del thread per renderlo un po' meno generico.
La causa della maggior parte dei problemi di un computer si trova tra la tastiera e lo schienale della sedia.
http://xkcd.com/293/

Avatar utente
Linux@to
Arciere
Messaggi: 336
Iscritto il: 17 settembre 2009, 12:51
Architettura: x86_64 (64bit)
Località: Universo Parallelo
Contatta:

Messaggio da Linux@to » 21 giugno 2010, 14:29

a me vengono proposti questi: nvidia-195.36.24-2
quindi tutto a posto? Se non sbaglio sono i nuovi no?

PS: che ne dite di unire questo all'ultima parte di quest'altra discussione? viewtopic.php?id=8464&p=3
Ultima modifica di Linux@to il 21 giugno 2010, 14:29, modificato 1 volta in totale.
Nella Tana del Coniglio Coniglio parla di Linux. L'entrata è gratis, l'uscita non tanto.
Linux sui Netbook guide e tips multidistro!

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 21 giugno 2010, 14:32

Si, sono gli ultimi. Tra poco dovrebbe arrivare la serie 256.xx, che sta in RC al momento, e naturalmente è già disponibile su AUR. :D
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

fermat
Little John
Messaggi: 1046
Iscritto il: 9 maggio 2009, 18:28
Contatta:

Messaggio da fermat » 21 giugno 2010, 15:07

scusate una domanda senza che apro un'altra discussione.
pacman -Syu nn mi ha ancora aggiornato nulla.
ne xorg ne il kernel.
questione di mirror??
Ultima modifica di fermat il 21 giugno 2010, 15:07, modificato 1 volta in totale.

Avatar utente
Linux@to
Arciere
Messaggi: 336
Iscritto il: 17 settembre 2009, 12:51
Architettura: x86_64 (64bit)
Località: Universo Parallelo
Contatta:

Messaggio da Linux@to » 21 giugno 2010, 15:28

fermat ha scritto:scusate una domanda senza che apro un'altra discussione.
pacman -Syu nn mi ha ancora aggiornato nulla.
ne xorg ne il kernel.
questione di mirror??
Sì è probabile che siano i mirror, basta aspettare :)
Nella Tana del Coniglio Coniglio parla di Linux. L'entrata è gratis, l'uscita non tanto.
Linux sui Netbook guide e tips multidistro!

fermat
Little John
Messaggi: 1046
Iscritto il: 9 maggio 2009, 18:28
Contatta:

Messaggio da fermat » 21 giugno 2010, 15:43

si si fatto grazie.

ma nn ho capito una cosa: hal lo possiamo rimuovere dai demoni in avvio o lasciamo tutto com'è?
ho arch su tre pc, due con intel e uno con nvidia.

Avatar utente
4javier
Moderatore
Messaggi: 9541
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Messaggio da 4javier » 21 giugno 2010, 15:53

Dipende, se tutti i componenti del tuo sistema lo hanno droppato, si, ma è difficile. pacman -Qi hal e vedi se risulta richiesto da qualcuno.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

>DT<
Newbie
Messaggi: 8
Iscritto il: 22 maggio 2010, 9:40

Messaggio da >DT< » 21 giugno 2010, 16:28

Aggiornato senza problemi a Xorg 1.8 ò/
Con i driver nvidia 195.36.31, kernel 2.6.34 va tutto a meraviglia.

Howl
Arciere Provetto
Messaggi: 435
Iscritto il: 28 luglio 2008, 19:32

Messaggio da Howl » 21 giugno 2010, 17:06

fermat ha scritto:ma nn ho capito una cosa: hal lo possiamo rimuovere dai demoni in avvio o lasciamo tutto com'è?
Se usi KDE sicuramente no.

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 21 giugno 2010, 17:26

Anche se usi gnome, dato che si occupa di autorilevare gli HD che compaiono in nautilus e altro. A meno di non scrivere a mano le regole di udev.
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

fermat
Little John
Messaggi: 1046
Iscritto il: 9 maggio 2009, 18:28
Contatta:

Messaggio da fermat » 21 giugno 2010, 18:32

ah si giusto, mi sono dimenticato dei vari hd e pen drive.
ci sarà il passaggio anche per quelli a udev come in altri ditro prima o poi??

cmq tutto aggiornato e nessun problema.
neanche con nvidia.
anzi, forse va anche meglio....

Howl
Arciere Provetto
Messaggi: 435
Iscritto il: 28 luglio 2008, 19:32

Messaggio da Howl » 21 giugno 2010, 18:38

Hilinus ha scritto:Anche se usi gnome, dato che si occupa di autorilevare gli HD che compaiono in nautilus e altro. A meno di non scrivere a mano le regole di udev.
Non vorrei dire una fesseria, ma gnome dovrebbe già aver deprecato hal in favore di DeviceKit: https://wiki.ubuntu.com/Halsectomy.

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 21 giugno 2010, 18:46

Mmh... che io sappia con questa versione di gnome, senza avere hal avviato non mi apparivano automaticamente le partizioni in nautilus. Magari in arch bisogna ricompilare dei pacchetti in modo che usino devicekit e udev, poi non so se hanno già il supporto. Magari mi guardo qualche PKGBUILD e vedo.
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

Howl
Arciere Provetto
Messaggi: 435
Iscritto il: 28 luglio 2008, 19:32

Messaggio da Howl » 21 giugno 2010, 19:16

Hilinus ha scritto:Mmh... che io sappia con questa versione di gnome, senza avere hal avviato non mi apparivano automaticamente le partizioni in nautilus. Magari in arch bisogna ricompilare dei pacchetti in modo che usino devicekit e udev, poi non so se hanno già il supporto. Magari mi guardo qualche PKGBUILD e vedo.
Non lo so. Magari la deprecazione di hal è stata completata solo nelle versioni in via di sviluppo di gnome.

marinz
Little John
Messaggi: 907
Iscritto il: 30 agosto 2007, 20:10
Contatta:

Messaggio da marinz » 21 giugno 2010, 20:16

Ho appena aggiornato kernel e xorg sul netbook, sorprendentemente è filato tutto liscio: synaptics, il video, il layout, tutto perfetto.
Sto usando Gnome, ho tolto hal dai demoni e non noto differenze da prima, l'automount funziona :)
DE: slim && (openbox || kde 4.5)

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Messaggio da Hilinus » 21 giugno 2010, 20:21

M'hai messo la pulce nell'occhio e ho controllato: effettivamente funziona lo stesso :D

In ogni caso HAL è comunque richiesto come dipendenza di gnome, visto che se tento di rimuoverlo, viene via mezzo sistema :P
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

baghera
Moderatore
Messaggi: 2319
Iscritto il: 30 agosto 2007, 12:40
Località: Pescara

Messaggio da baghera » 21 giugno 2010, 20:24

Hal è ancora richiesto da gnome-applets (bug) oltre che da altri programmi più o meno esterni a gnome (in questo bugreport ci sono il link a bug per gimp, ekiga, banshee ed altri).
La causa della maggior parte dei problemi di un computer si trova tra la tastiera e lo schienale della sedia.
http://xkcd.com/293/

marinz
Little John
Messaggi: 907
Iscritto il: 30 agosto 2007, 20:10
Contatta:

Messaggio da marinz » 21 giugno 2010, 20:25

Non so cosa dirvi, io l'ho tolto e funziona tutto :P :P

Finchè non vedo problemi lo lascio tolto
DE: slim && (openbox || kde 4.5)

Avatar utente
Linux@to
Arciere
Messaggi: 336
Iscritto il: 17 settembre 2009, 12:51
Architettura: x86_64 (64bit)
Località: Universo Parallelo
Contatta:

Messaggio da Linux@to » 21 giugno 2010, 20:32

io uso openbox. Meglio se prima mi informo
Nella Tana del Coniglio Coniglio parla di Linux. L'entrata è gratis, l'uscita non tanto.
Linux sui Netbook guide e tips multidistro!

Avatar utente
ugaciaka
Little John
Messaggi: 1345
Iscritto il: 6 luglio 2008, 9:06
Località: Belluno
Contatta:

Messaggio da ugaciaka » 21 giugno 2010, 20:42

uff, su xfce senza hal non viene rilevata la pendrive usb :mad:

era troppo bello per essere vero
non ho mai comprato su ebay, i macbook non mi piacciono, non ho bisogno di facebook né myspace né secondlife
non sono un nerd né lamer né troll né geek né cracker né hacker

fermat
Little John
Messaggi: 1046
Iscritto il: 9 maggio 2009, 18:28
Contatta:

Messaggio da fermat » 21 giugno 2010, 20:51

bhe pazienza se per adesso nn si puà disinstallare.
già se si può rimuovere dai demoni è una buona cosa.
domani provo.

baghera
Moderatore
Messaggi: 2319
Iscritto il: 30 agosto 2007, 12:40
Località: Pescara

Messaggio da baghera » 21 giugno 2010, 21:25

ugaciaka ha scritto:uff, su xfce senza hal non viene rilevata la pendrive usb :mad:

era troppo bello per essere vero
Xfce 4.8 sarà hal-free, ma proprio per questo lavoro di porting a udisks/upower (e sicuramente molto altro) è stato posticipato di un po', non so quando verrà rilasciato (penso non lo sappiano neanche gli stessi dev).
La causa della maggior parte dei problemi di un computer si trova tra la tastiera e lo schienale della sedia.
http://xkcd.com/293/

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Messaggio da veleno77 » 22 giugno 2010, 1:04

openbox è solo un gestore delle finestre non credo proprio dipenda da hal...attualmente vedo che da me hal è richiesto dai seguenti pacchetti:
hwinfo kdelibs pcmanfm vlc
dovrei controllare se togliendolo dai demoni se pcmanfm funzioni lo stesso
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

Avatar utente
4javier
Moderatore
Messaggi: 9541
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Messaggio da 4javier » 22 giugno 2010, 1:16

solitamente dell'automount (motivo principale per tenere hal visto che ormai xorg lo ha droppato) si occupa il file manager o qualche libreria ad esso correlata. Il wm come dice veleno non c'entra, per quanto riguarda thunar (e quindi xfce) purtroppo exo (la libreria su cui si fonda) ancora dipende da hal, ed a quanto mi pare di capire gli sviluppatori di xfce latitano (nel senso che sono pochi, non che non lavorino alacremente), tanto da far slittare a data da destinarsi l'uscita del nuovo xfce.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

Rispondi